import uuid

from piccolo.columns import JSON, UUID, Integer, Varchar
from piccolo.table import Table


class Puzzle(Table):
    """Table for puzzles."""

    id = UUID(primary_key=True, default=uuid.uuid4)
    board = Varchar(length=16)
    solutions = JSON()
    extra = JSON()
    definitions = JSON()
    number = Integer(unique=True)
